# Installation
> `npm install --save @types/getos`

# Summary
This package contains type definitions for getos (https://github.com/retrohacker/getos).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/getos.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/getos/index.d.ts)
````ts
// Type definitions for getos 3.0
// Project: https://github.com/retrohacker/getos
// Definitions by: BendingBender <https://github.com/BendingBender>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped

export = getos;

declare function getos(cb: (error: Error | null, os: getos.Os) => void): string;

declare namespace getos {
    type Os = OtherOs | LinuxOs;

    interface OtherOs {
        os: 'aix'
            | 'android'
            | 'darwin'
            | 'freebsd'
            | 'openbsd'
            | 'sunos'
            | 'win32'
            | 'cygwin';
    }

    interface LinuxOs {
        os: 'linux';
        dist: string;
        release: string;
        codename?: string | undefined;
    }
}

````

### Additional Details
 * Last updated: Thu, 08 Jul 2021 12:02:04 GMT
 * Dependencies: none
 * Global values: none

# Credits
These definitions were written by [BendingBender](https://github.com/BendingBender).
